Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.webapp.taglib
Class UIComponentTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlComponentTagBase

    public abstract class UIComponentTagBase

extends UIComponentELTagBase

Author:
  Maksim Kaszynski

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from class javax.faces.webapp.UIComponentTagBase
`log`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`UIComponentTagBase()`

Method Summary
`protected javax.el.ExpressionFactory` | `getExpressionFactory()`
`boolean` | `isValueReference(java.lang.String s)`
`protected void` | `setActionListenerProperty(javax.faces.component.UIComponent component, java.lang.String actionListener)`
`protected void` | `setActionProperty(javax.faces.component.UIComponent component, java.lang.String action)`
`protected void` | `setBooleanProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`protected void` | `setBooleanProperty(javax.faces.component.UIComponent component, java.lang.String propName, javax.el.ValueExpression value)`
`protected void` | `setDoubleProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`protected void` | `setDoubleProperty(javax.faces.component.UIComponent component, java.lang.String propName, javax.el.ValueExpression value)`
`protected void` | `setFloatProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`protected void` | `setFloatProperty(javax.faces.component.UIComponent component, java.lang.String propName, javax.el.ValueExpression value)`
`protected void` | `setIntegerProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`protected void` | `setIntegerProperty(javax.faces.component.UIComponent component, java.lang.String propName, javax.el.ValueExpression value)`
`protected void` | `setLongProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`protected void` | `setLongProperty(javax.faces.component.UIComponent component, java.lang.String propName, javax.el.ValueExpression value)`
`protected void` | `setProperty(javax.faces.component.UIComponent component, java.lang.Class<?> type, java.lang.String propName, java.lang.String value)`
`protected void` | `setProperty(javax.faces.component.UIComponent component, java.lang.String propName, javax.el.ValueExpression valueExpression)`
`protected void` | `setStringProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`protected void` | `setStringProperty(javax.faces.component.UIComponent component, java.lang.String propName, javax.el.ValueExpression value)`
`protected void` | `setValueChangedListenerProperty(javax.faces.component.UIComponent component, java.lang.String valueChangedListener)`
`protected void` | `setValueProperty(javax.faces.component.UIComponent component, java.lang.String value)`
`protected void` | `setValueProperty(javax.faces.component.UIComponent component, javax.el.ValueExpression expression)`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, release, setBinding, setProperties, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class javax.faces.webapp.UIComponentTagBase
`getComponentType, getRendererType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### UIComponentTagBase

    public UIComponentTagBase()

Method Detail

### getExpressionFactory

    protected javax.el.ExpressionFactory getExpressionFactory()

### setProperty

    protected void setProperty(javax.faces.component.UIComponent component,
                               java.lang.String propName,
                               javax.el.ValueExpression valueExpression)

### setProperty

    protected void setProperty(javax.faces.component.UIComponent component,
                               java.lang.Class<?> type,
                               java.lang.String propName,
                               java.lang.String value)

### setIntegerProperty

    protected void setIntegerProperty(javax.faces.component.UIComponent component,
                                      java.lang.String propName,
                                      javax.el.ValueExpression value)

### setLongProperty

    protected void setLongProperty(javax.faces.component.UIComponent component,
                                   java.lang.String propName,
                                   javax.el.ValueExpression value)

### setFloatProperty

    protected void setFloatProperty(javax.faces.component.UIComponent component,
                                    java.lang.String propName,
                                    javax.el.ValueExpression value)

### setDoubleProperty

    protected void setDoubleProperty(javax.faces.component.UIComponent component,
                                     java.lang.String propName,
                                     javax.el.ValueExpression value)

### setStringProperty

    protected void setStringProperty(javax.faces.component.UIComponent component,
                                     java.lang.String propName,
                                     javax.el.ValueExpression value)

### setBooleanProperty

    protected void setBooleanProperty(javax.faces.component.UIComponent component,
                                      java.lang.String propName,
                                      javax.el.ValueExpression value)

### setIntegerProperty

    protected void setIntegerProperty(javax.faces.component.UIComponent component,
                                      java.lang.String propName,
                                      java.lang.String value)

### setLongProperty

    protected void setLongProperty(javax.faces.component.UIComponent component,
                                   java.lang.String propName,
                                   java.lang.String value)

### setFloatProperty

    protected void setFloatProperty(javax.faces.component.UIComponent component,
                                    java.lang.String propName,
                                    java.lang.String value)

### setDoubleProperty

    protected void setDoubleProperty(javax.faces.component.UIComponent component,
                                     java.lang.String propName,
                                     java.lang.String value)

### setStringProperty

    protected void setStringProperty(javax.faces.component.UIComponent component,
                                     java.lang.String propName,
                                     java.lang.String value)

### setBooleanProperty

    protected void setBooleanProperty(javax.faces.component.UIComponent component,
                                      java.lang.String propName,
                                      java.lang.String value)

### setValueProperty

    protected void setValueProperty(javax.faces.component.UIComponent component,
                                    java.lang.String value)

### setValueProperty

    protected void setValueProperty(javax.faces.component.UIComponent component,
                                    javax.el.ValueExpression expression)

### isValueReference

    public boolean isValueReference(java.lang.String s)

### setActionProperty

    protected void setActionProperty(javax.faces.component.UIComponent component,
                                     java.lang.String action)

### setActionListenerProperty

    protected void setActionListenerProperty(javax.faces.component.UIComponent component,
                                             java.lang.String actionListener)

### setValueChangedListenerProperty

    protected void setValueChangedListenerProperty(javax.faces.component.UIComponent component,
                                                   java.lang.String valueChangedListener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.